## org.eclipse.datatools.connectivity.sqm.core.rte.jdbc
Class JDBCPrimaryKey

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.constraints.impl.ConstraintImpl
                  org.eclipse.datatools.modelbase.sql.constraints.impl.TableConstraintImpl
                      org.eclipse.datatools.modelbase.sql.constraints.impl.ReferenceConstraintImpl
                          org.eclipse.datatools.modelbase.sql.constraints.impl.UniqueConstraintImpl
                              org.eclipse.datatools.modelbase.sql.constraints.impl.PrimaryKeyImpl
                                  org.eclipse.datatools.connectivity.sqm.core.rte.jdbc.JDBCPrimaryKey

All Implemented Interfaces:
  ICatalogObject, Constraint, PrimaryKey, ReferenceConstraint, TableConstraint, UniqueConstraint, SQLObject

    public class JDBCPrimaryKey

extends PrimaryKeyImpl
implements ICatalogObject

Constructor Summary
`JDBCPrimaryKey()`

Method Summary
`Database` `getCatalogDatabase()`
`java.sql.Connection` `getConnection()`
`boolean` `isSystemObject()`
`void` `refresh()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.constraints.impl.UniqueConstraintImpl
`eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eUnset, getForeignKey`

Methods inherited from class org.eclipse.datatools.modelbase.sql.constraints.impl.ReferenceConstraintImpl
`getMembers`

Methods inherited from class org.eclipse.datatools.modelbase.sql.constraints.impl.TableConstraintImpl
`basicSetBaseTable, eBasicRemoveFromContainerFeature, getBaseTable, setBaseTable`

Methods inherited from class org.eclipse.datatools.modelbase.sql.constraints.impl.ConstraintImpl
`isDeferrable, isEnforced, isInitiallyDeferred, setDeferrable, setEnforced, setInitiallyDeferred, toString`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.UniqueConstraint
`getForeignKey`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.ReferenceConstraint
`getMembers`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.TableConstraint
`getBaseTable, setBaseTable`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.Constraint
`isDeferrable, isEnforced, isInitiallyDeferred, setDeferrable, setEnforced, setInitiallyDeferred`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Constructor Detail

### JDBCPrimaryKey

    public JDBCPrimaryKey()

Method Detail

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `ICatalogObject`

### isSystemObject

    public boolean isSystemObject()

### getCatalogDatabase

    public Database getCatalogDatabase()

  Specified by:
    `getCatalogDatabase` in interface `ICatalogObject`

### getConnection

    public java.sql.Connection getConnection()

  Specified by:
    `getConnection` in interface `ICatalogObject`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.